<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/shif.php';
include_once '../sys/inc/user.php';
$set['title']='Удивительный колхоз';
include_once '../sys/inc/thead.php';
title();
aut();
err();
if(isset($_GET['add']))
{
if(isset($_GET['ok']) && isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')$err[]='Это не картинка';
}
else $err[]='Выберите картинку';
$name=$_POST['name'];
if(strlen2($name)<1)$err[]='Слишком короткое название';
$work=$_POST['work'];
if(strlen2($work)<1)$err[]='Слишком короткое название';
$cena=intval($_POST['cena']);
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($money) || strlen2($money)<1)$err[]='Неверный доход';
if(!is_numeric($cena) || strlen2($cena)<1)$err[]='Неверная цена';
if(!is_numeric($rating) || strlen2($rating)<1)$err[]='Неверный опыт';
if(!is_numeric($level) || strlen2($level)<1)$err[]='Неверный уровень доступности';
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
mysql_query("INSERT INTO `kolhoz_tree` SET `name` = '$name', `cena` = '$cena', `rating` = '$rating', `money` = '$money', `level` = '$level', `work` = '$work'");
$id=mysql_insert_id();
move_uploaded_file($tmp, 
"images/trees/$id.png");
header("location: ?act=admin");
}
}
err();
echo "<form method=\"post\" action=\"?act=admin&add&ok\" enctype='multipart/form-data'>\n";
echo "Название животного:<br /><input name=\"name\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Вид работы:<br /><input name=\"work\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Доход:<br /><input name=\"money\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Изображение животного(потом можно изменить):<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "<div class='backlink'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_tree` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
$edit=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_tree` WHERE `id` = '".intval($_GET['edit'])."'"));


if(isset($_GET['change_img']))
{
if(isset($_GET['ok']) && isset($_POST['ok']))
{
if(isset($_FILES['file']))
{
$type = $_FILES['file']['type'];
if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png')$err[]='Это не картинка';
}
else $err[]='Выберите картинку';
if (!isset($err))
{
$tmp = $_FILES['file']['tmp_name'];
unlink("images/trees/$edit[id].png");
move_uploaded_file($tmp, 
"images/trees/$edit[id].png");
header("Location:?act=admin&edit=$edit[id]");
}
}
err();
echo "<form method=\"post\" action=\"?act=admin&edit=$edit[id]&change_img&ok\" enctype='multipart/form-data'>\n";
echo "Изображение животного:<br/><input type='file' name='file' /><br/>\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form><br />\n";
echo "<div class='backlink'><img src='img/back.png' /> <a href='?act=admin&edit=$edit[id]'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}


if(isset($_GET['ok']) && isset($_POST['ok']))
{
$name=$_POST['name'];
if(strlen2($name)<1)$err[]='Слишком короткое название';
$work=$_POST['work'];
if(strlen2($work)<1)$err[]='Слишком короткое название';
$cena=intval($_POST['cena']);
$money=intval($_POST['money']);
$rating=intval($_POST['rating']);
$level=intval($_POST['level']);
if(!is_numeric($money) || strlen2($money)<1)$err[]='Неверный доход';
if(!is_numeric($cena) || strlen2($cena)<1)$err[]='Неверная цена';
if(!is_numeric($rating) || strlen2($rating)<1)$err[]='Неверный опыт';
if(!is_numeric($level) || strlen2($level)<1)$err[]='Неверный уровень доступности';
if (!isset($err))
{
mysql_query("UPDATE `kolhoz_tree` SET `name` = '$name', `cena` = '$cena', `rating` = '$rating', `money` = '$money', `level` = '$level', `work` = '$work' WHERE `id` = '$edit[id]'");
header("Location:?act=admin");
}
}
err();
echo "<table>";
echo "<tr>";
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
echo "<img src='images/trees/$edit[id].png'><br/>";
echo "</td>";
echo "<td style='border-top: 1px #ccc solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
echo "<a href='?act=admin&edit=$edit[id]&change_img'>Заменить картинку</a>";
echo "</td></tr>";
echo "</table>";
echo "<form method=\"post\" action=\"?act=admin&edit=$edit[id]&ok\">\n";
echo "Название животного:<br /><input name=\"name\" type=\"text\" maxlength='32' value='$edit[name]' /><br />\n";
echo "Вид работы:<br /><input name=\"work\" type=\"text\" maxlength='32' value='$edit[work]' /><br />\n";
echo "Цена:<br /><input name=\"cena\" type=\"text\" maxlength='32' value='$edit[cena]' /><br />\n";
echo "Уровень доступности:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]'/><br />\n";
echo "Опыт:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "Доход:<br /><input name=\"money\" type=\"text\" maxlength='32' value='$edit[money]'/><br />\n";
echo "<input value='Добавить' type='submit' name='ok' /></form><br />\n";
echo "<div class='backlink'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}



if(isset($_GET['del']) && intval($_GET['del'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_pet` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_tree` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_query("DELETE FROM `kolhoz_tree` WHERE `id` = '$del[id]'");
mysql_query("UPDATE `kolhoz_treeground` SET `id_pet` = '0' WHERE `id_pet` = '$del[id]'");
unlink("images/trees/$del[id].png");
header("Location:?act=admin");
}
echo "<center>Вы уверены, что хотите удалить это растение?<br />
<small>[<a style='color:red' href='?act=admin&del=$del[id]&ok'>Да</a>]</small> [<a style='color:blue'  href='?act=admin'>Нет</a>]</center><br />\n";
echo "<div class='backlink'><img src='img/back.png' /> <a href='?act=admin'>Назад</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
}



echo "<div class='backlink'><img src='img/add.png'> <a href='?act=admin&add'>Добавить животное</a></div>";
echo "<table>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_tree`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_tree` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<tr>";
if(isset($num) && $num==1)
{
echo "<td style='border-top: 1px #CCC solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
}
else
{
echo "<td style='border-top: 1px #CCC solid;background-color: #fff;padding: 1px;margin: 1px;width: 10%' rowspan='1'>";
}
echo "<img src='images/trees/$post[id].png'><br/>";
echo "</td>";
if(isset($num) && $num==1)
{
echo "<td style='border-top: 1px #ccc solid;background-color: #edeff4;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
$num=0;
}
else
{
echo "<td style='border-top: 1px #CCC solid;background-color: #FFF;padding: 1px;margin: 1px;width: 91%' rowspan='1'>";
$num=1;
}
echo "<span style='float: right; font-size: small; color: grey'><a class='icolink' href='?act=admin&edit=$post[id]'><img src='images/icons/moderate.png'/></a> | <a class='icolink' href='?act=admin&del=$post[id]'><img src='images/icons/cross.png'/></a></span>\n";
echo "Название: ".htmlspecialchars($post['name'])."<br/>";
echo "Вид работы: ".htmlspecialchars($post['work'])."<br/>";
echo "Цена: $post[cena] мон.<br/>";
echo "Уровень: $post[level]<br/>";
echo "Oпыт: $post[rating] <br/>";
echo "Доход: $post[money]";
echo "</td></tr>";
}
if ($k_page>1)str("?act=admin&",$k_page,$page); // Вывод страниц
echo "</table>";
echo "<div class='backlink'><img src='img/back.png' /> <a href='/adm_panel'>Админка</a> | <a href='/kolhoz/'>Колхоз</a></div>";
include_once '../sys/inc/tfoot.php';
exit;
?>